#include <iostream>

using namespace std;

int main()
{
    int N,U,V,X;
    char S,I,O;
    cin>>N;
    for (int i=0;i<(N-1);i++)
        {
            cin>>U>>V>>X;
            if (X=='S'||X=='I'||X=='O'||X=='s'||X=='i'||X=='o')
                {
                }
            else
                return 0;
        }



    return 0;
}